- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
G::NewProcess::ChildProcessImp Class Reference

A private implementation class used by G::NewProcess. More...

## Public Member Functions
| ChildProcessImp ()

## Public Attributes
unsigned long | m_ref_count
Process::Id | m_id
Pipe | m_pipe

## Detailed Description

A private implementation class used by G::NewProcess.

Definition at line 75 of file gnewprocess_unix_exec_enabled.cpp.

## Constructor & Destructor Documentation

G::NewProcess::ChildProcessImp::ChildProcessImp | ( |  | ) |

Definition at line 126 of file gnewprocess_unix_exec_enabled.cpp.

## Member Data Documentation

Process::Id G::NewProcess::ChildProcessImp::m_id

Definition at line 80 of file gnewprocess_unix_exec_enabled.cpp.

Referenced by G::NewProcess::spawn().

Pipe G::NewProcess::ChildProcessImp::m_pipe

Definition at line 81 of file gnewprocess_unix_exec_enabled.cpp.

Referenced by G::NewProcess::spawn().

unsigned long G::NewProcess::ChildProcessImp::m_ref_count

Definition at line 79 of file gnewprocess_unix_exec_enabled.cpp.

Referenced by G::NewProcess::ChildProcess::ChildProcess().

The documentation for this class was generated from the following file:

- gnewprocess_unix_exec_enabled.cpp